import { Assertion } from '../smartexpect.classes.assertion.js';

/**
 * Namespace for date-specific matchers
 */
export class DateMatchers {
  constructor(private assertion: Assertion<Date>) {}

  toBeDate() {
    return this.assertion.toBeDate();
  }

  toBeBeforeDate(date: Date) {
    return this.assertion.toBeBeforeDate(date);
  }

  toBeAfterDate(date: Date) {
    return this.assertion.toBeAfterDate(date);
  }
}