import { Assertion } from '../smartexpect.classes.assertion.js';

/**
 * Namespace for number-specific matchers
 */
export class NumberMatchers {
  constructor(private assertion: Assertion<number>) {}

  toBeGreaterThan(value: number) {
    return this.assertion.toBeGreaterThan(value);
  }

  toBeLessThan(value: number) {
    return this.assertion.toBeLessThan(value);
  }

  toBeGreaterThanOrEqual(value: number) {
    return this.assertion.toBeGreaterThanOrEqual(value);
  }

  toBeLessThanOrEqual(value: number) {
    return this.assertion.toBeLessThanOrEqual(value);
  }

  toBeCloseTo(value: number, precision?: number) {
    return this.assertion.toBeCloseTo(value, precision);
  }
  /** Equality check for numbers */
  toEqual(value: number) {
    return this.assertion.toEqual(value);
  }
}