import { Assertion } from '../smartexpect.classes.assertion.js';

/**
 * Namespace for boolean-specific matchers
 */
export class BooleanMatchers {
  constructor(private assertion: Assertion<boolean>) {}

  toBeTrue() {
    return this.assertion.toBeTrue();
  }

  toBeFalse() {
    return this.assertion.toBeFalse();
  }

  toBeTruthy() {
    return this.assertion.toBeTruthy();
  }

  toBeFalsy() {
    return this.assertion.toBeFalsy();
  }
}